# @ohos/hpm_ui_addon_tracker

跟踪项目依赖，根据修改的代码仓，识别出影响哪些产品|组件，适用于L0/L1产品

## 工作目录

```
.repo
 |-manifests
   |-default.xml
build
 |_lite
   |_components
     |_xxsubsystem.json
vendor
 |_hisilicon
   |_hispark_aries
     |_config.json
   |_hispark_pegasus
     |_config.json    
   |_hispark_taurus
     |_config.json     
```

## 安装插件
hpm i -g @ohos/hpm_ui_addon_tracker

如果当前工作目录的目录结构和上述不一致，请切换到工作目录

或者通过hpm config 命令设置路径的值

hpm config set TRACE_MANIFEST_PATH `your_manifest_path`
hpm config set TRACE_COMPONENTS_INFO_PATH `your_component_path`
hpm config set TRACE_PRODUCT_PATH `your_product_path`

## 用法
``` sh
hpm trace <project-name>
```

## 示例1
输入：
```
hpm trace drivers_framework
```
输出：
```
taurus
aries
```
## 示例2
-o 指定追踪的对象为bundle
-d 指定追踪的深度为2 (即A影响B,B影响C)
-j 按JSON格式输出

输入：
```
hpm trace drivers_framework -o bundle -d 2
```
输出：
```
xxx
yyy
```
